summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAndreas Bilke2017-10-03 22:17:53 +0200
committerAndreas Bilke2017-10-03 22:17:53 +0200
commit2ea4c35bb4b2a48afd218115a54983f321b1ec23 (patch)
tree54b09fa88759dbb760ca6f0d2c95c5fe71dfb2ef /PKGBUILD
parentf3d406661580a71654cb2813f3846d20f628ac86 (diff)
downloadaur-2ea4c35bb4b2a48afd218115a54983f321b1ec23.tar.gz
Enforce correct PETSc version. SLEPc 3.7 is not compatible with PETSc 3.8
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD2
1 files changed, 1 insertions, 1 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 19bfa313586..5c3fe124f4a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,7 @@ pkgdesc="Scalable library for Eigenvalue problem computations"
arch=('i686' 'x86_64')
url="http://www.grycap.upv.es/slepc"
license=('GNUv3')
-depends=('python2' 'gcc' 'gcc-fortran' 'petsc>=3.7.0')
+depends=('python2' 'gcc' 'gcc-fortran' 'petsc>=3.7.0' 'petsc<3.8.0')
install=slepc.install
source=(http://www.grycap.upv.es/slepc/download/distrib/${pkgname}-${pkgver/_/-}.tar.gz)
md5sums=('cc1244d656e8c37bbdd3e4e897d0e391')